## metadata-cleaner 2.2.3+ds

=== meson_options.txt ===
# SPDX-FileCopyrightText: 2021 Romain Vigier <contact AT romainvigier.fr>
# SPDX-License-Identifier: GPL-3.0-or-later

option (
  'devel',
  type: 'boolean',
  value: 'false',
  description: 'Build the app with the development style'
)

## metadata-cleaner 1.0.2

=== debian/changelog ===
metadata-cleaner (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * d/copyright: update
  * d/control: remove version number for libgtk3-dev

 -- Peymaneh Nejad <p.nejad@posteo.de>  Thu, 21 Jan 2021 15:16:26 +0100

metadata-cleaner (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * d/patches: remove buildsystem fix (applied upstream)
  * d/copyright: update
  * d/control: Update maintainer and vcs info

 -- Peymaneh Nejad <p.nejad@posteo.de>  Mon, 11 Jan 2021 17:55:43 +0100

metadata-cleaner (1.0.0-1) unstable; urgency=medium

  * Initial release. Closes: #977896

  * d/patches: Backport upstream fix for buildsystem
  * d/metadata-cleaner.manpages: Manpage added

 -- Peymaneh Nejad <p.nejad@posteo.de>  Sun, 27 Dec 2020 08:59:58 +0100

=== debian/control ===
Source: metadata-cleaner
Section: utils
Priority: optional
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
Build-Depends: appstream,
               debhelper-compat (= 13),
               dh-python,
               libgtk-3-dev,
               libhandy-1-dev,
               mat2,
               meson (>= 0.51.0),
               pkg-config,
               python-gi-dev,
               python3-dev,
               python3-setuptools
Standards-Version: 4.5.1
Homepage: https://gitlab.com/rmnvgr/metadata-cleaner
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/metadata-cleaner.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/metadata-cleaner
Rules-Requires-Root: no

Package: metadata-cleaner
Architecture: any
Depends: gir1.2-handy-1,
         libgtk-3-0 (>= 3.24.0),
         mat2,
         mime-support,
         ${misc:Depends},
         ${python3:Depends},
Description: GTK app for viewing and cleaning metadata in files
 Metadata within a file can tell a lot about you. Cameras record data about when
 a picture was taken and what camera was used. Office applications automatically
 add author and company information to documents and spreadsheets. Maybe you
 do not want to disclose those information.
 .
 This tool allows you to view metadata in your files and to get rid of them as
 much as possible.
 .
 Under the hood, it relies on mat2 to parse and remove the metadata.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=meson

## metadata-cleaner 1.0.3

=== debian/changelog ===
metadata-cleaner (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3

 -- Peymaneh Nejad <p.nejad@posteo.de>  Thu, 25 Feb 2021 17:46:57 +0100

metadata-cleaner (1.0.2-2) unstable; urgency=medium

  * d/control: update dependencies (Closes: #981569)
    replace mime-support with media-types

 -- Peymaneh Nejad <p.nejad@posteo.de>  Wed, 03 Feb 2021 00:14:17 +0100

## metadata-cleaner 1.0.8

=== debian/changelog ===
metadata-cleaner (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * d/gbp.conf: Align repo layout with DEP14
  * d/copyright: Update copyright for po/*
  * d/control,d/copyright: Update maintainer info

 -- Peymaneh <peymaneh@posteo.net>  Thu, 30 Dec 2021 22:24:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
+Uploaders: Peymaneh <peymaneh@posteo.net>
 Build-Depends: appstream,
                debhelper-compat (= 13),
                dh-python,
@@ -25,7 +25,7 @@
 Depends: gir1.2-handy-1,
          libgtk-3-0 (>= 3.24.0),
          mat2,
-         mime-support,
+         media-types,
          ${misc:Depends},
          ${python3:Depends},
 Description: GTK app for viewing and cleaning metadata in files

## metadata-cleaner 2.2.1

=== debian/changelog ===
metadata-cleaner (2.2.1-2) UNRELEASED; urgency=medium

  * No changes since 2.2.1-1
  * closes: #1008397

 -- Peymaneh <peymaneh@posteo.net>  Fri, 01 Apr 2022 17:39:46 +0200

metadata-cleaner (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * d/copyright: Update
  * d/control: Update dependencies

 -- Peymaneh <peymaneh@posteo.net>  Fri, 01 Apr 2022 17:11:53 +0200

metadata-cleaner (2.1.5-1) unstable; urgency=medium

  * New upstream version 2.1.5
  * d/control: Update dependencies, standards-version
  * Update d/copyright

 -- Peymaneh <peymaneh@posteo.net>  Sat, 26 Feb 2022 17:50:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Uploaders: Peymaneh <peymaneh@posteo.net>
 Build-Depends: appstream,
                debhelper-compat (= 13),
+               desktop-file-utils,
                dh-python,
-               libgtk-3-dev,
-               libhandy-1-dev,
+               itstool,
+               libadwaita-1-dev,
+               libgtk-4-bin,
                mat2,
-               meson (>= 0.51.0),
+               meson,
                pkg-config,
                python-gi-dev,
                python3-dev,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/rmnvgr/metadata-cleaner
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/metadata-cleaner.git
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/metadata-cleaner
@@ -22,8 +24,7 @@
 
 Package: metadata-cleaner
 Architecture: any
-Depends: gir1.2-handy-1,
-         libgtk-3-0 (>= 3.24.0),
+Depends: gir1.2-adw-1,
          mat2,
          media-types,
          ${misc:Depends},

=== debian/watch ===
version=4

https://gitlab.com/rmnvgr/@PACKAGE@/tags?sort=updated_desc .*/@PACKAGE@-v(\d\S+)@ARCHIVE_EXT@

## metadata-cleaner 2.2.3+ds

=== debian/changelog ===
metadata-cleaner (2.2.3+ds-1) unstable; urgency=medium

  * d/changelog: fix wrong distro
  * d/copyright: update and tidy up
  * d/copyright, d/watch: exclude project website
  * New upstream version 2.2.3+ds
  * closes: #1016702

 -- Peymaneh <peymaneh@posteo.net>  Mon, 15 Aug 2022 12:15:39 +0200

metadata-cleaner (2.2.1-2) unstable; urgency=medium

  * No changes since 2.2.1-1
  * closes: #1008397

 -- Peymaneh <peymaneh@posteo.net>  Fri, 01 Apr 2022 17:39:46 +0200

## metadata-cleaner 2.2.5+ds

=== debian/changelog ===
metadata-cleaner (2.2.5+ds-1) unstable; urgency=medium

  * New upstream version 2.2.5+ds
  * d/copyright: Update copyright info

 -- Peymaneh <peymaneh@posteo.net>  Thu, 27 Oct 2022 15:38:20 +0200

## metadata-cleaner 2.2.7+ds

=== debian/changelog ===
metadata-cleaner (2.2.7+ds-1) unstable; urgency=medium

  * New upstream version 2.2.7+ds
  * d/copyright: update

 -- Peymaneh <peymaneh@posteo.net>  Sun, 20 Nov 2022 17:02:07 +0100

## metadata-cleaner 2.2.8+ds

=== debian/changelog ===
metadata-cleaner (2.2.8+ds-1) unstable; urgency=medium

  * New upstream version 2.2.8+ds
  * Update d/copyright

 -- Peymaneh <peymaneh@posteo.net>  Sun, 18 Dec 2022 22:11:28 +0100

## metadata-cleaner 2.3.0+ds

=== debian/changelog ===
metadata-cleaner (2.3.0+ds-1) unstable; urgency=medium

  * New upstream version 2.3.0+ds
  * d/copyright: Update

 -- Peymaneh <peymaneh@posteo.net>  Mon, 09 Jan 2023 10:57:00 +0100

## metadata-cleaner 2.4.0+ds

=== debian/changelog ===
metadata-cleaner (2.4.0+ds-1) unstable; urgency=medium

  * New upstream version 2.4.0+ds
  * Update copyright information

 -- Peymaneh <peymaneh@posteo.net>  Mon, 06 Feb 2023 23:40:21 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python-gi-dev,
                python3-dev,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://gitlab.com/rmnvgr/metadata-cleaner
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/metadata-cleaner.git
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/metadata-cleaner

=== debian/watch ===
version=4
opts="repack,\
      repacksuffix=+ds,\
      compression=xz,\
      dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//" \
https://gitlab.com/rmnvgr/@PACKAGE@/tags?sort=updated_desc .*/@PACKAGE@-v(\d\S+)@ARCHIVE_EXT@

## metadata-cleaner 2.5.0+ds

=== debian/changelog ===
metadata-cleaner (2.5.0+ds-1) unstable; urgency=medium

  * New upstream version 2.5.0+ds
  * d/copyright: Update contributors

 -- Peymaneh <peymaneh@posteo.net>  Wed, 08 Mar 2023 21:18:51 +0100

## metadata-cleaner 2.5.2+ds

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2021 Romain Vigier <contact AT romainvigier.fr>
+# SPDX-FileCopyrightText: Metadata Cleaner contributors
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 option (

=== debian/changelog ===
metadata-cleaner (2.5.2+ds-1) unstable; urgency=medium

  * New upstream version 2.5.2+ds
  * d/copyright: Update contributors
  * d/control: Update standards version
  * Add lintian override for false positive

 -- Peymaneh <peymaneh@posteo.net>  Thu, 06 Jul 2023 11:38:57 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python-gi-dev,
                python3-dev,
                python3-setuptools
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/rmnvgr/metadata-cleaner
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/metadata-cleaner.git
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/metadata-cleaner
